package com.template.services;

import com.template.model.pojo.SmartTeaching;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.vo.UserSubjectVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 应用管理 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-05-24
 */
public interface SmartTeachingService extends IService<SmartTeaching> {
    List<SmartTeaching> queryTeachingByUserId(Integer userId);

    int deleteByUserId(Integer userId);

    int deleteByUserIds(List<Integer> userIds);

    List<SmartTeaching> queryByUserIds(List<Integer> userIds);

    List<UserSubjectVo> querySmartTeachings(List<Integer> userIds);
}
